CVE-2014-3700

Current Description

eDeploy through at least 2014-10-14 has remote code execution due to eval() of untrusted data

Basic Data

PublishedNovember 21, 2019
Last ModifiedNovember 27, 2019
Assignercve@mitre.org
Data TypeCVE
Data FormatMITRE
Data Version4.0
Problem TypeCWE-74
CVE Data Version4.0

Base Metric V2

CVSS 2 - Version2.0
CVSS 2 - Vector StringAV:N/AC:L/Au:N/C:P/I:P/A:P
CVSS 2 - Access VectorNETWORK
CVSS 2 - Access ComplexityLOW
CVSS 2 - AuthenticationNONE
CVSS 2 - Confidentiality ImpactPARTIAL
CVSS 2 - Availability ImpactPARTIAL
CVSS 2 - Base Score7.5
SeverityHIGH
Exploitability Score10.0
Impact Score6.4
Obtain All Privilegefalse
Obtain User Privilegefalse
Obtain Other Privilegefalse

Base Metric V3

No data provided.

Configurations

  • OR - Configuration 1
    Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
    2.3ApplicationRedhatEdeploy********1.6.0
    2.3ApplicationRedhatJboss Enterprise Web Server1.0.0*******

Vulnerable Software List

VendorProductVersions
Redhat Jboss Enterprise Web Server 1.0.0
Redhat Edeploy *

References

NameSourceURLTags
https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2014-3700https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2014-3700MISCExploit Issue Tracking Third Party Advisory
https://security-tracker.debian.org/tracker/CVE-2014-3700https://security-tracker.debian.org/tracker/CVE-2014-3700MISCThird Party Advisory